-------------------------------------------------------------------------------
-- Localized Lua globals.
-------------------------------------------------------------------------------
local _G = getfenv(0)

-------------------------------------------------------------------------------
-- Module namespace.
-------------------------------------------------------------------------------
local FOLDER_NAME, private = ...

local addon = private.addon
if not addon then
	return
end

local constants = addon.constants
local module = addon:GetModule(private.module_name)

local Z = constants.ZONE_NAMES

-----------------------------------------------------------------------
-- What we _really_ came here to see...
-----------------------------------------------------------------------
function module:InitializeQuests()
	local function AddQuest(questID, zoneName, coordX, coordY, faction)
		addon.AcquireTypes.Quest:AddEntity(module, {
			coord_x = coordX,
			coord_y = coordY,
			faction = faction,
			identifier = questID,
			item_list = {},
			location = zoneName,
			name = nil, -- Handled by memoizing table in the core.
		})
	end

	AddQuest(4083,	Z.BLACKROCK_DEPTHS,		0,	0,	"Neutral")
	AddQuest(38792,	Z.HIGHMOUNTAIN,			0,	0,	"Neutral") --Needs updating
	AddQuest(38793,	Z.HIGHMOUNTAIN,			0,	0,	"Neutral") --Needs updating
	AddQuest(38794,	Z.HIGHMOUNTAIN,			0,	0,	"Neutral") --Needs updating
	AddQuest(38800,	Z.SURAMAR,			0,	0,	"Neutral") --Needs updating
	AddQuest(38801,	Z.SURAMAR,			0,	0,	"Neutral") --Needs updating
	AddQuest(38802,	Z.SURAMAR,			0,	0,	"Neutral") --Needs updating
	AddQuest(38804,	Z.SURAMAR,			37.2,	70.8,	"Neutral") --Needs updating
	AddQuest(38805,	Z.SURAMAR,			64.2,	54.3,	"Neutral") --Needs updating
	AddQuest(38807,	Z.DALARAN_BROKENISLES,		0,	0,	"Neutral") --Needs updating

	self.InitializeQuests = nil
end
